Package edu.msu.cme.rdp.classifier.train.validation.movingwindow

# Class MainMovingWindow

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.movingwindow.MainMovingWindow

public class MainMovingWindow extends Object

## Constructor Summary

Constructors
Constructor
Description
`MainMovingWindow(String taxFile, String inFile, String testFile, String outFile, String ecoliFile, int begin, int end, int min_bootstrap_words)`
Creates a new instance of MainMovingWindow

## Method Summary

Modifier and Type
Method
Description
`static int`
`getBeginIndex()`
`ArrayList`
`getWindowFrame(String ecoliFile)`
`static void`
`main(String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MainMovingWindow

public MainMovingWindow(String taxFile, String inFile, String testFile, String outFile, String ecoliFile, int begin, int end, int min_bootstrap_words) throws IOException
Creates a new instance of MainMovingWindow

Throws:
  `IOException`

## Method Details

### getBeginIndex

public static int getBeginIndex()

### getWindowFrame

public ArrayList getWindowFrame(String ecoliFile) throws IOException

Throws:
  `IOException`

### main

public static void main(String[] args) throws IOException

Throws:
  `IOException`